osmotv(1)

NAME
osmotv - http://osmocom-analog.eversberg.eu/docs/

SYNOPSIS
osmotv -f <frequency> | -c <channel> <command>

  command:

tx-fubk
    Transmit FUBK test image (German PAL image)

tx-ebu
    Transmit EBU test image (color bars)

tx-convergence
    Transmit convergence grid for color adjustemnt

tx-black
    Transmit single color image

tx-blue
    Transmit single color image

tx-red
    Transmit single color image (for DY adjustment)

tx-magenta
    Transmit single color image

tx-green
    Transmit single color image

tx-cyan
    Transmit single color image

tx-yellow
    Transmit single color image

tx-white
    Transmit single color image

tx-vcr
    Transmit Jolly's VCR test pattern

tx-img [<image>] Transmit natural image or given image file
    Use 4:3 image with 574 lines for best result.

  general options:

-h --help

    This help

--config [~/]<path to config file>

    Give a config file to use. If it starts with '~/', path is at home dir. Each line in config file is one option, '-' or '--' must not be given!

-f --frequency <frequency>

    Give frequency in Hertz.

-c --channel <channel>

    Or give channel number. Special channels start with 's' or 'S'. Use 'list' to get a channel list.

-s --samplerate <frequency>

    Give sample rate in Hertz.

-w --wave-file <filename>

    Output to wave file instead of SDR

-r --realtime <prio>

    Set prio: 0 to disable, 99 for maximum (default = 0)

  signal options:

-F --fbas 1 | 0

    Turn color on or off. (default = 1)

-T --tone 1 | 0

    Turn tone on or off. (default = 1)

  FUBK options:

-R --circle-radius <radius> | 0

    Use circle radius or 0 for off. (default = 6.7)

-C --color-bar 1 | 0

    1 == Color bar on, 0 = Show complete middle field. (default = 0) For clean scope signal, also turn off circle by setting radius to 0.

-G --grid-only 1 | 0

    1 == Show only the grid of the test image. (default = 0)

-I --sation-id "<text>"

    Give exactly 12 characters to display as Station ID. (default = "Jolly Roger")

  convergence options:

-W --grid-width 2 | 1

    Thickness of grid. (default = 0)

--limesdr

    Auto-select several required options for LimeSDR

--limesdr-mini

    Auto-select several required options for LimeSDR Mini

  SDR options:

--sdr-soapy

    Force SoapySDR driver

--sdr-channel <channel #>

    Give channel number for multi channel SDR device (default = 0)

--sdr-device-args <args>

--sdr-stream-args <args>

--sdr-tune-args <args>

    Optional SDR device arguments, separated by comma e.g. --sdr-device-args <key>=<value>[,<key>=<value>[,...]]

--sdr-samplerate <samplerate>

    Sample rate to use with SDR. By default it equals the regular sample rate.

--sdr-lo-offset <Hz>

    Give frequency offset in Hz to move the local oscillator away from the target frequency. (default = -3000000)

--sdr-bandwidth <bandwidth>

    Give IF filter bandwidth to use. If not, sample rate is used.

--sdr-rx-antenna <name>

    SDR device's RX antenna name, use 'list' to get a list

--sdr-tx-antenna <name>

    SDR device's TX antenna name, use 'list' to get a list

--sdr-clock-source <name>

    SDR device's clock sourc name, use 'list' to get a list

--sdr-rx-gain <gain>

    SDR device's RX gain in dB (default = 0.0)

--sdr-tx-gain <gain>

    SDR device's TX gain in dB (default = 0.0)

--write-iq-rx-wave <file>

    Write received IQ data to given wave file.

--write-iq-tx-wave <file>

    Write transmitted IQ data to given wave file.

--read-iq-rx-wave <file>

    Replace received IQ data by given wave file.

--read-iq-tx-wave <file>

    Replace transmitted IQ data by given wave file.

--sdr-swap-links

    Swap RX and TX frequencies for loopback tests over the air.

--sdr-timestamps 1 | 0

    Use TX timestamps on UHD device. (default = 1)